<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon"></app-page-title>

  <div class="row">

    <div class="col-md-6 col-lg-3">
      <div class="card main-card mb-3">
        <div class="card-body">

          <div class="widget-content p-0">
            <div class="widget-content-wrapper">
              <div class="widget-content-left mr-3">
                <div class="icon-wrapper m-0">
                  <div class="progress-circle-wrapper">
                    <div class="round-progress-text">
                      <span>{{ tporc }}%</span>
                      <round-progress [current]="tporc" [max]="100" [color]="'#16aaff'" [background]="'#f0f0f0'"
                        [radius]="88" [stroke]="11" [semicircle]="false" [rounded]="true" [clockwise]="false"
                        [responsive]="true" [duration]="1400" [animation]="'easeInOutQuart'" [animationDelay]="0">
                      </round-progress>
                    </div>
                  </div>
                </div>
              </div>
              <div class="widget-content-left">
                <div class="widget-heading">Ocup. Esp.</div>
              </div>
              <div class="widget-content-right">
                <div class="fsize-1 text-focus">
                  <small class="opacity-5 pr-1">Ctos. Esp.:</small>
                  <span>{{ tctoesp }}</span>
                  <small class="text-warning pl-2">
                    <fa name="suitcase-rolling"></fa>
                  </small>
                </div>
              </div>
            </div>
          </div>

        </div>
      </div>
    </div>

    <div class="col-md-6 col-lg-3">
      <div class="card-shadow-primary mb-3 widget-chart widget-chart2 text-left card">
        <div class="widget-chat-wrapper-outer">
          <div class="widget-chart-content">
            <h6 class="widget-subheading">Llegadas</h6>
            <div class="widget-chart-flex">
              <div class="widget-numbers mb-0 w-100">
                <div class="widget-chart-flex">
                  <div class="fsize-4">
                    <span class="fsize-1 font-weight-light">Esp.: </span>{{ llegesp }}
                    <span class="fsize-1 font-weight-light">Act.: </span> {{ llegact }}
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="col-md-6 col-lg-3">
      <div class="card-shadow-primary mb-3 widget-chart widget-chart2 text-left card">
        <div class="widget-chat-wrapper-outer">
          <div class="widget-chart-content">
            <h6 class="widget-subheading">Salidas</h6>
            <div class="widget-chart-flex">
              <div class="widget-numbers mb-0 w-100">
                <div class="widget-chart-flex">
                  <div class="fsize-4">
                    <span class="fsize-1 font-weight-light">Esp.: </span>{{ salpend }}
                    <span class="fsize-1 font-weight-light">Act.: </span> {{ salact}}
                    <span class="fsize-1 font-weight-light">Inesp.: </span> {{ saliact}}
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="col-md-6 col-lg-3">
      <div class="card main-card mb-3">
        <div class="card-body">

          <div class="widget-content p-0">
            <div class="widget-content-wrapper">
              <div class="widget-content-left mr-3">
                <div class="icon-wrapper m-0">
                  <div class="progress-circle-wrapper">
                    <div class="round-progress-text">
                      <span>{{ tpact }}%</span>
                      <round-progress [current]="tpact" [max]="100" [color]="'#3ac47d'" [background]="'#f0f0f0'"
                        [radius]="88" [stroke]="11" [semicircle]="false" [rounded]="true" [clockwise]="false"
                        [responsive]="true" [duration]="1400" [animation]="'easeInOutQuart'" [animationDelay]="0">
                      </round-progress>
                    </div>
                  </div>
                </div>
              </div>
              <div class="widget-content-left">
                <div class="widget-heading">Ocup. Act.</div>
              </div>
              <div class="widget-content-right">
                <div class="fsize-1 text-focus">
                  <small class="opacity-5 pr-1">Ctos. Casa:</small>
                  <span>{{ ttcasa }}</span>
                  <small class="text-warning pl-2">
                    <fa name="hotel"></fa>
                  </small>
                </div>
              </div>
            </div>
          </div>

        </div>
      </div>
    </div>

  </div>

  <div class="main-card mb-3 card animated fadeIn">
    <div class="card-body">

      <div class="mb-3 animated fadeIn">
        <mat-accordion>
          <mat-expansion-panel>
            <mat-expansion-panel-header>
              <mat-panel-title>
                Detalles
              </mat-panel-title>
              <mat-panel-description>
                <div role="group" class="btn-group-sm btn-group">
                  <button class="btn btn-success" (click)="openModalDistri(distribucionModal)">
                    Distribución
                  </button>
                  <button class="btn btn-warning" (click)="openModalGraf(graficarModal)">
                    Graficar
                  </button>
                </div>
              </mat-panel-description>
            </mat-expansion-panel-header>

            <div class="row">
              <div class="col">

                <table class="table table-striped">
                  <tbody>
                    <tr>
                      <th scope="row">Ctos.:</th>
                      <td>{{ totCtos }}</td>
                      <td colspan="2">&nbsp;&nbsp;</td>
                    </tr>
                    <tr>
                      <th scope="row">F. Inv.:</th>
                      <td>{{ totfinv }}</td>
                      <td>Total:</td>
                      <td>{{ tdisp }}</td>
                    </tr>
                    <tr>
                      <th scope="row">Ctos. Casa:</th>
                      <td>{{ ttcasa }}</td>
                      <td>Casa F.I.:</td>
                      <td>{{ tucfinv }}</td>
                    </tr>
                    <tr>
                      <th scope="row">Reserv.:</th>
                      <td>{{ treserv }}</td>
                      <td>Ctos. Esp.:</td>
                      <td>{{ tctoesp }}</td>
                    </tr>
                    <tr>
                      <th scope="row">F. Serv.:</th>
                      <td>{{ tfserv }}</td>
                      <td>Ctos. Vta.:</td>
                      <td>{{ tcdisp }}</td>
                    </tr>
                    <tr>
                      <td colspan="2" class="font-italic">% Ocup. Esp.:</td>
                      <td colspan="2" class="font-italic text-info">{{ tporc }}%</td>
                    </tr>
                    <tr>
                      <th scope="row">Sal. Esp.:</th>
                      <td>{{ tsalesp }}</td>
                      <td>Ctos. Disp.:</td>
                      <td>{{ tctovta }}</td>
                    </tr>
                    <tr>
                      <td colspan="2" class="font-italic">% Ocup. Act.:</td>
                      <td colspan="2" class="font-italic text-info">{{ tpact }}%</td>
                    </tr>
                  </tbody>
                </table>

              </div>
              <div class="col">

                <table class="table table-striped">
                  <thead>
                    <tr>
                      <th scope="col">Detalle Ctos.</th>
                      <th scope="col">Esperado</th>
                      <th scope="col">Actual</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <th scope="row">
                        Ctos. Casa:
                      </th>
                      <td>
                        {{ casaesp }}
                      </td>
                      <td>
                        {{ casaact }}
                      </td>
                    </tr>
                    <tr>
                      <th scope="row">
                        Llegadas:
                      </th>
                      <td>
                        {{ llegesp }}
                      </td>
                      <td>
                        {{ llegact }}
                      </td>
                    </tr>
                    <tr>
                      <th scope="row">
                        Walk In:
                      </th>
                      <td>
                        {{ wiact }}
                      </td>
                      <td>
                        {{ wiesp }}
                      </td>
                    </tr>
                    <tr>
                      <th scope="row">
                        Salidas:
                      </th>
                      <td>
                        {{ salpend }}
                      </td>
                      <td>
                        {{ salact }}
                      </td>
                    </tr>
                    <tr>
                      <th scope="row">
                        Sal. Inesp.:
                      </th>
                      <td>
                        0
                      </td>
                      <td>
                        {{ saliact }}
                      </td>
                    </tr>
                    <tr>
                      <th scope="row">
                        Adultos:
                      </th>
                      <td>
                        {{ adesp }}
                      </td>
                      <td>
                        {{ adact }}
                      </td>
                    </tr>
                    <tr>
                      <th scope="row">
                        Junior:
                      </th>
                      <td>
                        {{ junesp }}
                      </td>
                      <td>
                        {{ junact }}
                      </td>
                    </tr>
                    <tr>
                      <th scope="row">
                        Menores:
                      </th>
                      <td>
                        {{ menesp }}
                      </td>
                      <td>
                        {{ menact }}
                      </td>
                    </tr>
                  </tbody>
                </table>

              </div>
            </div>

          </mat-expansion-panel>
        </mat-accordion>
      </div>

      <kendo-grid [kendoGridBinding]="dataGrid.data" [filterable]="true" [sortable]="true" [resizable]="true"
        [pageable]="{ buttonCount: 3, pageSizes: [10, 20, 30] }" [pageSize]="10" [height]="750" class="fsize-1">
        <ng-template kendoGridToolbarTemplate>
          <form [formGroup]="myFormGroup" (ngSubmit)="buscar()">
            <div class="form-row">
              <div class="col-md-4 col-lg-4">
                <div class="position-relative form-group">
                  <label class="mr-sm-2 font-weight-bold text-danger">
                    <i class="fas fa-calendar-day"></i> {{ diaLet }}
                  </label>
                  <kendo-datepicker name="fecha" formControlName="fecha" class="form-control"
                    [format]="formatKendo" (valueChange)="buscar()">
                  </kendo-datepicker>
                </div>
              </div>
              <div class="col-md-4 col-lg-4">
                <div class="position-relative form-group">
                  <label class="mr-sm-2 font-weight-bold">Ingreso Agrupado</label>
                  <kendo-combobox [data]="dsIngagrp" [valueField]="'iagrp'" [textField]="'cDesc'"
                    formControlName="iagrp" name="iagrp" (valueChange)="buscar()" [valuePrimitive]="true"
                    class="form-control">
                  </kendo-combobox>
                </div>
              </div>
              <div class="col-md-4 col-lg-4">
                <label class="w-100"></label>
                <div role="group" class="btn-group-lg btn-group btn-block mt-2">
                  <button type="button" class="btn btn-light" (click)="buscaDisp(myFormGroup.value.fecha, -1)">
                    <i class="fas fa-angle-double-left"></i>
                  </button>
                  <button type="submit" class="btn btn-success">
                    <i class="fa fa-search"></i>
                  </button>
                  <button type="button" class="btn btn-light" (click)="buscaDisp(myFormGroup.value.fecha, 1)">
                    <i class="fas fa-angle-double-right"></i>
                  </button>
                </div>
              </div>
            </div>
          </form>
        </ng-template>

        <div *ngFor="let item of gridFields">
          <kendo-grid-column [field]="item.dataKey" [title]="item.title" [width]="item.width" [minResizableWidth]="50"
            [filterable]="item.filtro">
          </kendo-grid-column>
        </div>

        <kendo-grid-command-column width="50">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-warning" (click)="openChartModal(chartModal, dataItem)">
              <i class="fas fa-chart-pie"></i>
            </button>
          </ng-template>
        </kendo-grid-command-column>
      </kendo-grid>

      <ng-template #distribucionModal let-modal let-c="close">
        <div class="modal-header">
          <h6 class="modal-title" id="modal-distri">Cuartos Disponibles</h6>
          <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <form [formGroup]="distFormGroup">
            <div class="form-row">
              <div class="col-md-3">
                <div class="position-relative form-group">
                  <label>Fecha</label>
                  <kendo-datepicker formControlName="fecha" name="fecha" class="form-control"
                    [format]="formatKendo" (valueChange)="changeGraficaDisp('d')">
                  </kendo-datepicker>
                </div>
              </div>
              <div class="col-md-3 form-group">
                <label class="w-100">.</label>
                <div class="btn-group" role="group">
                  <button type="button" class="btn btn-light" (click)="changeGraficaDisp('d', '-')">
                    <i class="fas fa-arrow-left"></i>
                  </button>
                  <button type="button" class="btn btn-light" (click)="changeGraficaDisp('d')">
                    <i class="fas fa-arrow-right"></i>
                  </button>
                </div>
              </div>
              <div class="col-md-4">
                <p *ngIf="distFormGroup.value.fecha < fechaHoy" style="color:red;">Hay fechas pasadas</p>
              </div>
            </div>
          </form>

          <!--<div class="scroll-area-lg" style="overflow-x: auto !important;">
            <table class="table table-bordered table-striped">
              <thead>
              <tr>
                <th *ngFor="let dia of dataDias" class="text-capitalize" style="white-space: nowrap">
                  {{ dia.title === 'Tipo' ? '' : dia.title }}
                </th>
              </tr>
              </thead>
              <tbody>
              <tr>
                <td scope="row">Ocupación</td>
                <td *ngFor="let dventa of dataOcup; let i = index">
                  &lt;!&ndash;<div [ngClass]="(dventa['porccto' + (i + 1)] <= '89.99') ? 'text-success' : (dventa['porccto' + (i + 1)] <= '99.99') ? 'text-warning' : (dventa['porccto' + (i + 1)] == '100') ? 'text-danger' : ''">
                        <span>{{ dventa['porccto' + (i + 1)] }}%</span>
                    </div>&ndash;&gt;

                  <div class="widget-content p-0">
                    <div class="widget-content-outer">
                      <div class="widget-content-wrapper">
                        <div class="widget-content-left pr-2">
                          <div class="widget-numbers fsize-1"
                               [ngClass]="(dventa['porccto' + (i + 1)] <= '89.99') ? 'text-success' : (dventa['porccto' + (i + 1)] <= '99.99') ? 'text-warning' : (dventa['porccto' + (i + 1)] >= '100') ? 'text-danger' : ''">
                            {{ dventa['porccto' + (i + 1)] }}%
                          </div>
                        </div>
                        <div class="widget-content-right w-100">
                          <div class="progress-bar-xs progress-bar-animated-alt progress">
                            <div class="progress-bar"
                                 [ngClass]="(dventa['porccto' + (i + 1)] <= '89.99') ? 'bg-success' : (dventa['porccto' + (i + 1)] <= '99.99') ? 'bg-warning' : (dventa['porccto' + (i + 1)] >= '100') ? 'bg-danger' : ''"
                                 role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                                 [ngStyle]="{'width.%': dventa['porccto' + (i + 1)]}"></div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </td>
              </tr>
              <tr *ngFor="let tCuarto of ttTmpctos">
                <td scope="row">{{ tCuarto.tcuarto }}</td>
                <td class="text-center">{{ tCuarto.numcto1 }}</td>
                <td class="text-center">{{ tCuarto.numcto2 }}</td>
                <td class="text-center">{{ tCuarto.numcto3 }}</td>
                <td class="text-center">{{ tCuarto.numcto4 }}</td>
                <td class="text-center">{{ tCuarto.numcto5 }}</td>
                <td class="text-center">{{ tCuarto.numcto6 }}</td>
                <td class="text-center">{{ tCuarto.numcto7 }}</td>
                <td class="text-center">{{ tCuarto.numcto8 }}</td>
                <td class="text-center">{{ tCuarto.numcto9 }}</td>
                <td class="text-center">{{ tCuarto.numcto10 }}</td>
                <td class="text-center">{{ tCuarto.numcto11 }}</td>
                <td class="text-center">{{ tCuarto.numcto12 }}</td>
                <td class="text-center">{{ tCuarto.numcto13 }}</td>
                <td class="text-center">{{ tCuarto.numcto14 }}</td>
                <td class="text-center">{{ tCuarto.numcto15 }}</td>
              </tr>
              </tbody>
            </table>
          </div>

          <div class="divider"></div>-->

          <kendo-grid [data]="dataGridDisp" style="height: 55vh;">

            <kendo-grid-column field="tcuarto" title="Tipo" width="100" [locked]="true"></kendo-grid-column>

            <kendo-grid-column field="numcto1" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[0].title }}

                <div class="widget-content p-0" *ngIf="dataOcup && dataOcup.length">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[0].porccto1 <= 89.99) ? 'text-success' : (dataOcup[0].porccto1 <= 99.99) ? 'text-warning' : (dataOcup[0].porccto1 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[0].porccto1 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[0].porccto1 <= 89.99) ? 'bg-success' : (dataOcup[0].porccto1 <= 99.99) ? 'bg-warning' : (dataOcup[0].porccto1 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[0].porccto1}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="numcto2" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[1].title }}

                <div class="widget-content p-0">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[1].porccto2 <= 89.99) ? 'text-success' : (dataOcup[1].porccto2 <= 99.99) ? 'text-warning' : (dataOcup[1].porccto2 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[1].porccto2 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[1].porccto2 <= 89.99) ? 'bg-success' : (dataOcup[1].porccto2 <= 99.99) ? 'bg-warning' : (dataOcup[1].porccto2 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[1].porccto2}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="numcto3" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[2].title }}

                <div class="widget-content p-0">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[2].porccto3 <= 89.99) ? 'text-success' : (dataOcup[2].porccto3 <= 99.99) ? 'text-warning' : (dataOcup[2].porccto3 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[2].porccto3 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[2].porccto3 <= 89.99) ? 'bg-success' : (dataOcup[2].porccto3 <= 99.99) ? 'bg-warning' : (dataOcup[2].porccto3 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[2].porccto3}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="numcto4" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[3].title }}

                <div class="widget-content p-0">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[3].porccto4 <= 89.99) ? 'text-success' : (dataOcup[3].porccto4 <= 99.99) ? 'text-warning' : (dataOcup[3].porccto4 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[3].porccto4 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[3].porccto4 <= 89.99) ? 'bg-success' : (dataOcup[3].porccto4 <= 99.99) ? 'bg-warning' : (dataOcup[3].porccto4 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[3].porccto4}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="numcto5" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[4].title }}

                <div class="widget-content p-0">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[4].porccto5 <= 89.99) ? 'text-success' : (dataOcup[4].porccto5 <= 99.99) ? 'text-warning' : (dataOcup[4].porccto5 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[4].porccto5 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[4].porccto5 <= 89.99) ? 'bg-success' : (dataOcup[4].porccto5 <= 99.99) ? 'bg-warning' : (dataOcup[4].porccto5 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[4].porccto5}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="numcto6" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[5].title }}

                <div class="widget-content p-0">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[5].porccto6 <= 89.99) ? 'text-success' : (dataOcup[5].porccto6 <= 99.99) ? 'text-warning' : (dataOcup[5].porccto6 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[5].porccto6 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[5].porccto6 <= 89.99) ? 'bg-success' : (dataOcup[5].porccto6 <= 99.99) ? 'bg-warning' : (dataOcup[5].porccto6 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[5].porccto6}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="numcto7" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[6].title }}

                <div class="widget-content p-0">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[6].porccto7 <= 89.99) ? 'text-success' : (dataOcup[6].porccto7 <= 99.99) ? 'text-warning' : (dataOcup[6].porccto7 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[6].porccto7 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[6].porccto7 <= 89.99) ? 'bg-success' : (dataOcup[6].porccto7 <= 99.99) ? 'bg-warning' : (dataOcup[6].porccto7 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[6].porccto7}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="numcto8" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[7].title }}

                <div class="widget-content p-0">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[7].porccto8 <= 89.99) ? 'text-success' : (dataOcup[7].porccto8 <= 99.99) ? 'text-warning' : (dataOcup[7].porccto8 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[7].porccto8 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[7].porccto8 <= 89.99) ? 'bg-success' : (dataOcup[7].porccto8 <= 99.99) ? 'bg-warning' : (dataOcup[7].porccto8 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[7].porccto8}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="numcto9" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[8].title }}

                <div class="widget-content p-0">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[8].porccto9 <= 89.99) ? 'text-success' : (dataOcup[8].porccto9 <= 99.99) ? 'text-warning' : (dataOcup[8].porccto9 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[8].porccto9 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[8].porccto9 <= 89.99) ? 'bg-success' : (dataOcup[8].porccto9 <= 99.99) ? 'bg-warning' : (dataOcup[8].porccto9 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[8].porccto9}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="numcto10" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[9].title }}

                <div class="widget-content p-0">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[9].porccto10 <= 89.99) ? 'text-success' : (dataOcup[9].porccto10 <= 99.99) ? 'text-warning' : (dataOcup[9].porccto10 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[9].porccto10 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[9].porccto10 <= 89.99) ? 'bg-success' : (dataOcup[9].porccto10 <= 99.99) ? 'bg-warning' : (dataOcup[9].porccto10 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[9].porccto10}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="numcto11" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[10].title }}

                <div class="widget-content p-0">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[10].porccto11 <= 89.99) ? 'text-success' : (dataOcup[10].porccto11 <= 99.99) ? 'text-warning' : (dataOcup[10].porccto11 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[10].porccto11 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[10].porccto11 <= 89.99) ? 'bg-success' : (dataOcup[10].porccto11 <= 99.99) ? 'bg-warning' : (dataOcup[10].porccto11 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[10].porccto11}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="numcto12" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[11].title }}

                <div class="widget-content p-0">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[11].porccto12 <= 89.99) ? 'text-success' : (dataOcup[11].porccto12 <= 99.99) ? 'text-warning' : (dataOcup[11].porccto12 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[11].porccto12 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[11].porccto12 <= 89.99) ? 'bg-success' : (dataOcup[11].porccto12 <= 99.99) ? 'bg-warning' : (dataOcup[11].porccto12 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[11].porccto12}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="numcto13" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[12].title }}

                <div class="widget-content p-0">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[12].porccto13 <= 89.99) ? 'text-success' : (dataOcup[12].porccto13 <= 99.99) ? 'text-warning' : (dataOcup[12].porccto13 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[12].porccto13 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[12].porccto13 <= 89.99) ? 'bg-success' : (dataOcup[12].porccto13 <= 99.99) ? 'bg-warning' : (dataOcup[12].porccto13 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[12].porccto13}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="numcto14" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[13].title }}

                <div class="widget-content p-0">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[13].porccto14 <= 89.99) ? 'text-success' : (dataOcup[13].porccto14 <= 99.99) ? 'text-warning' : (dataOcup[13].porccto14 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[13].porccto14 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[13].porccto14 <= 89.99) ? 'bg-success' : (dataOcup[13].porccto14 <= 99.99) ? 'bg-warning' : (dataOcup[13].porccto14 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[13].porccto14}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="numcto15" width="150">
              <ng-template kendoGridHeaderTemplate>
                {{ dataDias[14].title }}

                <div class="widget-content p-0">
                  <div class="widget-content-outer">
                    <div class="widget-content-wrapper">
                      <div class="widget-content-left pr-2">
                        <div class="widget-numbers fsize-1"
                          [ngClass]="(dataOcup[14].porccto15 <= 89.99) ? 'text-success' : (dataOcup[14].porccto15 <= 99.99) ? 'text-warning' : (dataOcup[14].porccto15 >= 100) ? 'text-danger' : ''">
                          {{ dataOcup[14].porccto15 }}%
                        </div>
                      </div>
                      <div class="widget-content-right w-100">
                        <div class="progress-bar-xs progress-bar-animated-alt progress">
                          <div class="progress-bar"
                            [ngClass]="(dataOcup[14].porccto15 <= 89.99) ? 'bg-success' : (dataOcup[14].porccto15 <= 99.99) ? 'bg-warning' : (dataOcup[14].porccto15 >= 100) ? 'bg-danger' : ''"
                            role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                            [ngStyle]="{'width.%': dataOcup[14].porccto15}"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </ng-template>
            </kendo-grid-column>

          </kendo-grid>

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
        </div>
      </ng-template>

      <ng-template #graficarModal let-modal let-c="close">
        <div class="modal-header">
          <h6 class="modal-title" id="modal-graf">Gráfica de Disponibilidad</h6>
          <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">

          <form [formGroup]="grafFormGroup">
            <div class="form-row">
              <div class="col-md-3">
                <div class="position-relative form-group">
                  <label>Fecha</label>
                  <div class="input-group">
                    <kendo-datepicker formControlName="fecha" class="form-control" [format]="formatKendo"
                      (valueChange)="changeGraficaDisp('g')">
                    </kendo-datepicker>
                  </div>
                </div>
              </div>
              <div class="col-md-2">
                <div class="position-relative form-group">
                  <label for="noDias">No. Días</label>
                  <div class="input-group">
                    <input class="form-control" type="number" id="noDias" formControlName="noDias" min="5" max="15"
                      readonly>
                  </div>
                </div>
              </div>
              <div class="col-md-3 form-group">
                <label class="w-100">.</label>
                <div class="btn-group" role="group">
                  <button type="button" class="btn btn-light mx-4" (click)="changeGraficaDisp('g', '-')">
                    <i class="fas fa-arrow-left"></i>
                  </button>
                  <button type="button" class="btn btn-light mx-4" (click)="changeGraficaDisp('g')">
                    <i class="fas fa-arrow-right"></i>
                  </button>
                </div>
              </div>
              <div class="col-md-4">
                <p *ngIf="grafFormGroup.value.fecha < fechaHoy" style="color:red;">Hay fechas pasadas</p>
              </div>
            </div>
          </form>

          <div class="scroll-area-lg">
            <perfect-scrollbar [autoPropagation]="true">

              <table class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th>Fecha</th>
                    <th>Día</th>
                    <th>Porcentaje Ocupación</th>
                    <th>Restricción</th>
                    <th>Venta</th>
                    <th>F.C.</th>
                    <th>N.G.</th>
                    <th>GRP</th>
                    <th>F.S.</th>
                    <th>L.E.</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let value of ttTdisgra">
                    <td scope="row">{{ value.tfecha }}</td>
                    <td>{{ value.tdia }}</td>
                    <td>
                      <div class="widget-content p-0">
                        <div class="widget-content-outer">
                          <div class="widget-content-wrapper">
                            <div class="widget-content-left pr-2">
                              <div class="widget-numbers fsize-1"
                                [ngClass]="(value.tporc <= '89.99') ? 'text-success' : (value.tporc <= '99.99') ? 'text-warning' : (value.tporc >= '100') ? 'text-danger' : ''">
                                {{ value.tporc | json }}%
                              </div>
                            </div>
                            <div class="widget-content-right w-100">
                              <div class="progress-bar-xs progress-bar-animated-alt progress">
                                <div class="progress-bar"
                                  [ngClass]="(value.tporc <= '89.99') ? 'bg-success' : (value.tporc <= '99.99') ? 'bg-warning' : (value.tporc >= '100') ? 'bg-danger' : ''"
                                  role="progressbar" aria-valuenow="71" aria-valuemin="0" aria-valuemax="100"
                                  [ngStyle]="{'width.%': value.tporc}"></div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </td>
                    <td>{{ value.tcodrest }}</td>
                    <td>{{ value.tdispventa }}</td>
                    <td>{{ value.tforecast }}</td>
                    <td>{{ value.tnogar }}</td>
                    <td>{{ value.tgrupo }}</td>
                    <td>{{ value.tfserv }}</td>
                    <td>{{ value.tlesp }}</td>
                  </tr>
                </tbody>
              </table>

            </perfect-scrollbar>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
        </div>
      </ng-template>

      <ng-template #chartModal let-modal let-c="close">
        <div class="modal-header">
          <h6 class="modal-title" id="modal-chart">{{ chartValues.cuarto }}</h6>
          <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">

          <apx-chart [series]="chartValues.keys"
            [labels]="['Casa', 'R/G', 'RNG', 'Gpo.', 'Cort.', 'U.C.', 'T.S.', 'F/S', 'C. Vta.']"
            [chart]="{height: '350', type: 'pie'}" [dataLabels]="{enabled: false}"></apx-chart>

        </div>
        <div class="modal-footer">
          <span class="font-weight-bold mr-2">Total: {{ chartValues.total }}</span>
          <button type="button" class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
        </div>
      </ng-template>

    </div>
  </div>

<ngx-loading [show]="loading" [config]="loadingColor"></ngx-loading>